This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 343941 - tpb missing dependency on xosd
tpb missing dependency on xosd
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: tpb (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-20 12:30 EDT by Russell Harrison
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-23 16:36:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Harrison 2007-10-20 12:30:10 EDT
Description of problem:
tpb does not pull in all of its dependencies.

Version-Release number of selected component (if applicable):


How reproducible:
New install of F7 install tpb and it won't pull in xosd

Actual results:
$ tpb --config
tpb: error while loading shared libraries: libxosd.so.2: cannot open shared
object file: No such file or directory

Expected results:
tpb should require the xosd package which provides libxosd.so.2
Comment 1 Kevin Fenzi 2007-10-20 12:55:46 EDT
Odd. 

'tpb should require the xosd package which provides libxosd.so.2'

It does. 

# rpm -q tpb
tpb-0.6.4-8.fc7

# rpm -q tpb --requires | grep xosd
libxosd.so.2  

# yum resolvedep 'libxosd.so.2'
fedora                    100% |=========================| 2.1 kB    00:00     
updates                   100% |=========================| 2.3 kB    00:00     
0:xosd-2.2.14-9.fc7.i386

Can you reproduce the yum run where you installed tpb? 
Or remove it and re-run the install of it and paste the results back here. 
(with 'yum -d6 install tpb') 

Comment 2 Russell Harrison 2007-10-23 15:08:49 EDT
On looking at this closer I think its actually related to anaconda. 
package-cleanup --problems showed MANY packages missing dependencies on this new
install.  After resolving the issues found with package-cleanup things seem to
be fine.
Comment 3 Kevin Fenzi 2007-10-23 16:17:30 EDT
Can we close this bug then? 
Or do you want to shift it over to anaconda and/or file a new one?

Comment 4 Russell Harrison 2007-10-23 16:24:39 EDT
If I can reproduce the anaconda problem I'll file a new bug.  You can go ahead
and close this one.
Comment 5 Kevin Fenzi 2007-10-23 16:36:43 EDT
ok, sounds good. Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.